using System.Collections;
using System.Collections.Generic;
using UnityEngine.InputSystem;
using UnityEngine;

public class Controller : MonoBehaviour
{
    // Start is called before the first frame update
    private Rigidbody rb;
    private InputActions input = null;
    private InputAction move;
    private float moveSpeed = 5f;
    private Vector3 moveVector = Vector3.zero;

    void Awake() {
        rb = gameObject.GetComponent<Rigidbody>();
        input = new InputActions();
    }
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        moveVector = move.ReadValue<Vector3>()*moveSpeed;
        Debug.Log(move.ReadValue<Vector3>());
    }
    private void FixedUpdate() {
        rb.AddForce(moveVector);
    }
    void OnEnable() {
        move = input.Player.Move;
        move.Enable();
    }
    void OnDisable() {
        move.Disable();
    }
}
